﻿@model ViewOrdersInfo
@{
    ViewData["Title"] = "Home Page";
    Layout = "_Layout";
}
<div class="text-center">
    <h1 class="display-4">Создание заказа</h1>
</div>

<form asp-controller="Orders" asp-action="SaveNewOrder" method="post">
    <input asp-for="@Model.OrdersDTO.Id" type="hidden" value="@Model.OrdersDTO.Id" />
    <div class="container-fluid mt-3">
        <div class="form-row">
            <table class="table table-sm table-hover table-bordered">
                <caption> Заказы </caption>
                <thead>
                    <tr class="d-flex">
                        <th class="text-center col-1" scope="col">ID Заказа</th>
                        <th class="text-center col-2" scope="col">Дата</th>
                        <th class="text-center col-3" scope="col">Номер</th>
                        <th class="text-center col-3" scope="col">Поставщик</th>
                        <th class="text-center col-3" scope="col">Операции с заказом</th>
                    </tr>
                </thead>
                <tbody>

                    <tr class="d-flex">
                        <td class="text-center col-1">
                            <input type="text" class="form-control" disabled />
                        </td>

                        <td class="text-center col-2">
                            <input asp-for="@Model.OrdersDTO.Date" value="@Model.OrdersDTO.Date" type="date" class="form-control" />
                        </td>

                        <td class="text-center col-3">
                            <input type="text" class="form-control" asp-for="@Model.OrdersDTO.Number" value="@Model.OrdersDTO.Number" />
                        </td>

                        <td class="text-center col-3">
                            <div class="form-group">
                                <select class="form-control"
                                        onchange="onFormSelected(this.value)"
                                        asp-for="@Model.OrdersDTO.ProviderId"
                                        asp-items="@(new SelectList(Model.ProvidersDTO, "Id", "Name"))">
                                </select>
                            </div>
                        </td>

                        <td class="text-center col-3">
                            <div class="btn-group" role="group">
                                <div class="col">
                                    <button asp-controller="Orders" asp-action="SaveNewOrder"
                                            class="btn btn-block btn-outline-primary" type="submit">
                                        Сохранить заказ
                                    </button>
                                </div>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <div />
        </div>
    </div>
</form>

